Account
Account Statement
POST /account/statement
Request Body
{
"fromTime": "2025-12-01T00:00:00.000+0530",
"toTime": "2025-12-05T00:00:00.000+0530"
}Response
{
"status": "success",
"data": {
"opening": {
"timestamp": "2025-11-05T18:30:00.000Z",
"balance": "0"
},
"closing": {
"timestamp": "2025-12-04T18:30:00.000Z",
"balance": "1999899"
},
"statementEntries": [
{
"timestamp": "2025-11-20T10:25:31.451Z",
"templateType": "org_loaded",
"direction": "CREDIT",
"entryAmount": "2000000",
"runningBalance": "2000000",
"paymentInfo": null,
"walletLoad": {
"remitterBankAccount": "remitterBankAccount",
"remitterIfsc": "remitterIfsc",
"utr": "ref-1234567892"
}
},
{
"timestamp": "2025-11-20T10:27:29.982Z",
"templateType": "org_initiate_pay_vendor",
"direction": "DEBIT",
"entryAmount": "100",
"runningBalance": "1999900",
"paymentInfo": {
"id": "cmi7a7lnf0000mlmd10yjloab",
"attemptNumber": 1,
"utr": "uw0obh6pnu"
},
"walletLoad": null
},
{
"timestamp": "2025-11-24T07:36:52.648Z",
"templateType": "org_initiate_pay_vendor",
"direction": "DEBIT",
"entryAmount": "1",
"runningBalance": "1999899",
"paymentInfo": {
"id": "cmictkaua0000qemb2v0nueim",
"attemptNumber": 1,
"utr": null
},
"walletLoad": null
},
{
"timestamp": "2025-11-24T07:40:14.685Z",
"templateType": "org_pay_vendor_failed",
"direction": "CREDIT",
"entryAmount": "1",
"runningBalance": "1999900",
"paymentInfo": {
"id": "cmictkaua0000qemb2v0nueim",
"attemptNumber": 1,
"utr": null
},
"walletLoad": null
},
{
"timestamp": "2025-11-24T07:42:20.888Z",
"templateType": "org_initiate_pay_vendor",
"direction": "DEBIT",
"entryAmount": "1",
"runningBalance": "1999899",
"paymentInfo": {
"id": "cmictkaua0000qemb2v0nueim",
"attemptNumber": 2,
"utr": null
},
"walletLoad": null
}
]
}
}Template Types
| Template Type | Description |
|---|---|
org_loaded | Wallet loaded (credited) by you |
org_initiate_pay_vendor | PR was just executed (debited) |
org_pay_vendor_failed | PR failed and money credited back |
org_initiate_withdraw | Withdraw PR was just executed |
org_withdraw_failed | Withdraw PR failed |
Last updated on